Subject: Re: [Sipping] draft-hilt-sipping-overload and RPH

From: Volker Hilt <[email-masked]>
Date: Wed, 05 Sep 2007 15:11:06 -0400

Janet,

it might be useful to provide recommendations for a reasonable 
prioritizing of requests during times of overload. These recommendations 
could cover the treatment of emergency requests as well as resource 
priority (and maybe other issues as well). This should not be in 
conflict with REQ13 and still allow for other local policies, if desired.

Thanks,

Volker

Janet P Gunn wrote:
> Section 4.3 of Session Initiation Protocol (SIP) Overload Control 
> (draft-hilt-sipping-overload-02) provides  priority treatment for 
> Emergency requests, in accordance with  
>  “ [8]  Rosen, B., "Framework for Emergency Calling in Internet
>         Multimedia", draft-ietf-ecrit-framework-01 (work in progress),
>         March 2007.”
> “4.3.  Emergency Services Requests
> 
>    It is generally recommended that SIP servers, which need to reject
>    requests due to overload, SHOULD treat emergency services request [8]
>    with highest priority and preserve them if possible.  When a SIP
>    server receives an emergency services request, it should not be
>    treated by alleviation methods and should be processed immediately.
>    In some cases, a SIP server may receive more emergency services
>    requests than it is allowed to forward.  This may happen, for
>    example, to a SIP server that is serving an emergency service center.
>    In these cases and after rejecting/redirecting all non-emergency
>    service requests, a SIP server should also include emergency service
>    requests in the alleviation treatment to avoid that the downstream
>    server becomes overloaded.”
> 
> However  this document also references.
> “[6]  Rosenberg, J., "Requirements for Management of Overload in the
>         Session Initiation Protocol",
>         draft-rosenberg-sipping-overload-reqs-02 (work in progress),
>         October 2006.”  
> 
> In the requirements document, Requirement 13 says:
> “   REQ 13: The mechanism must not dictate a specific algorithm for
>       prioritizing the processing of work within a proxy during times of
>       overload.  It must permit a proxy to prioritize requests based on
>       any local policy, so that certain ones (such as a call for
>       emergency services or a call with a specific value of of the
>       Resource-Priority header field [3]) are processed ahead of others.”
> 
> 
> draft-hilt-sipping-overload-02 prioritizes treatment for “an emergency 
> services request”, but does not provide prioritized treatment for “a 
> call with a specific value of  the  Resource-Priority header field”.
> 
> I would like to see draft-hilt-sipping-overload-02 modified to provide 
> prioritized treatment for BOTH “emergency services” and “specific value 
> of RPH”
> 
> Thanks
> 
> Janet
> 
> 
> --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> This is a PRIVATE message. If you are not the intended recipient, please 
> delete without copying and kindly advise us by e-mail of the mistake in 
> delivery. NOTE: Regardless of content, this e-mail shall not operate to 
> bind CSC to any order or other contract unless pursuant to explicit 
> written agreement or government initiative expressly permitting the use 
> of e-mail for such purpose.
> --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP